Bug 1798940 (python-outdated) - Review Request: python-outdated - Check if a version of a PyPI package is outdated.
Summary: Review Request: python-outdated - Check if a version of a PyPI package is out...
Keywords:
Status: CLOSED ERRATA
Alias: python-outdated
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aniket Pradhan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On: python-littleutils
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2020-02-06 11:14 UTC by Ankur Sinha (FranciscoD)
Modified: 2020-02-23 01:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-23 01:22:45 UTC
Type: ---
aniketpradhan1999: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2020-02-06 11:14:01 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-outdated/python-outdated.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-outdated/python-outdated-0.2.0-1.fc32.src.rpm
Description: Check if a version of a PyPI package is outdated.

Fedora Account System Username: ankursinha

Comment 1 Aniket Pradhan 2020-02-06 15:19:58 UTC
Since this package depends upon littleutils, let's wait until it is available. Until then, I just briefly went over the spec and upstream, and found a test file [0], that can be used in the %check. What do you think about this?

[0]: https://github.com/alexmojaki/outdated/blob/master/tests.py

Comment 2 Ankur Sinha (FranciscoD) 2020-02-07 16:23:07 UTC
Unfortunately, the test requires internet access, so we can't run them on koji. I'll test them out on mock locally once littleutils becomes available in the rawhide repos, though.

Comment 3 Ankur Sinha (FranciscoD) 2020-02-09 13:55:07 UTC
The tests all pass in mock with network enabled:

```
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.eP3H9s
+ umask 022
+ cd /builddir/build/BUILD
+ cd outdated-0.2.0
+ PYTHONPATH=/builddir/build/BUILDROOT/python-outdated-0.2.0-1.fc32.x86_64//usr/lib/python3.8/site-packages
+ /usr/bin/python3 -m unittest
.....
----------------------------------------------------------------------
Ran 5 tests in 3.317s

OK
+ RPM_EC=0
```

Updated spec/srpm:
Spec URL: https://ankursinha.fedorapeople.org/python-outdated/python-outdated.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-outdated/python-outdated-0.2.0-1.fc31.src.rpm

Comment 4 Ankur Sinha (FranciscoD) 2020-02-14 10:37:11 UTC
This is ready for review. littleutils has been built.

Comment 5 Aniket Pradhan 2020-02-14 12:35:09 UTC
Everything seems perfect.
You forgot to update the srpm with the new spec (refer to the comment/diff below).
It's a small change.

APPROVED. ^.^




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Expat License", "Unknown or generated". 8 files have unknown
     license. Detailed output of licensecheck in
     /home/major/Documents/NeuroFed/reviews/review-python-
     outdated/licensecheck.txt

     ^ There seems to be something wrong with fedora-review... Ignore this
     message

[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.8/site-
     packages/outdated(to, locale,, defaulting, Failed, C, set),
     /usr/lib/python3.8/site-packages/outdated-0.2.0-py3.8.egg-info(to,
     locale,, defaulting, Failed, C, set), /usr/lib/python3.8/site-
     packages/outdated/__pycache__(to, locale,, defaulting, Failed, C,
     set), /usr/share/doc/python3-outdated(to, locale,, defaulting, Failed,
     C, set), /usr/share/licenses/python3-outdated(to, locale,, defaulting,
     Failed, C, set)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)

     ^ Refer to the diff below. You probably forgot to update the srpm
     after you added in the comment. :P

     ```
     2,3d1
     < # Test in mock:
     < # mock -r fedora-rawhide-x86_64 rebuild ./python-outdated-0.2.0-1.fc31.src.rpm --with=tests --enable-network
     ```

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python3-outdated-0.2.0-1.fc32.noarch.rpm
          python-outdated-0.2.0-1.fc32.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
python3-outdated.noarch: W: invalid-url URL: https://pypi.org/pypi/outdated <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Source checksums
----------------
https://raw.githubusercontent.com/alexmojaki/outdated/master/tests.py :
  CHECKSUM(SHA256) this package     : eddd8477483df37b127ad42b427d4807ea77161a0a907f8752d5b49247cf00e5
  CHECKSUM(SHA256) upstream package : eddd8477483df37b127ad42b427d4807ea77161a0a907f8752d5b49247cf00e5
https://raw.githubusercontent.com/alexmojaki/outdated/master/README.md :
  CHECKSUM(SHA256) this package     : 63d7866a2bc333b8e8e83c2b401a098e27e790f47242cb0d7559bcd2d156b971
  CHECKSUM(SHA256) upstream package : 63d7866a2bc333b8e8e83c2b401a098e27e790f47242cb0d7559bcd2d156b971
https://raw.githubusercontent.com/alexmojaki/outdated/master/LICENSE :
  CHECKSUM(SHA256) this package     : dfe14f8798c400cbcc85bb4536a686c6fcf3086b3446c3f7c7054a2bcd73ca6a
  CHECKSUM(SHA256) upstream package : dfe14f8798c400cbcc85bb4536a686c6fcf3086b3446c3f7c7054a2bcd73ca6a
https://files.pythonhosted.org/packages/source/o/outdated/outdated-0.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : bcb145e0e372ba467e998c327d3d1ba72a134b0d5a729749729df6c6244ce643
  CHECKSUM(SHA256) upstream package : bcb145e0e372ba467e998c327d3d1ba72a134b0d5a729749729df6c6244ce643


Requires
--------
python3-outdated (rpmlib, GLIBC filtered):
    python(abi)
    python3.8dist(littleutils)
    python3.8dist(requests)



Provides
--------
python3-outdated:
    python-outdated
    python3-outdated
    python3.8dist(outdated)
    python3dist(outdated)



Diff spec file in url and in SRPM
---------------------------------
--- /home/major/Documents/NeuroFed/reviews/python-outdated.spec	2020-02-09 19:22:32.000000000 +0530
+++ /home/major/Documents/NeuroFed/reviews/review-python-outdated/srpm-unpacked/python-outdated.spec	2020-02-09 19:18:51.000000000 +0530
@@ -1,5 +1,3 @@
 # Require net access
-# Test in mock:
-# mock -r fedora-rawhide-x86_64 rebuild ./python-outdated-0.2.0-1.fc31.src.rpm --with=tests --enable-network
 %bcond_with tests
 


Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -n python-outdated
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Shell-api, Generic
Disabled plugins: Haskell, SugarActivity, R, fonts, Ocaml, C/C++, Perl, PHP, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 6 Ankur Sinha (FranciscoD) 2020-02-14 13:52:14 UTC
> Generic:
> [!]: Spec file according to URL is the same as in SRPM.
>      Note: Spec file as given by url is not the same as in SRPM (see
>      attached diff).
>      See: (this test has no URL)
> 
>      ^ Refer to the diff below. You probably forgot to update the srpm
>      after you added in the comment. :P
> 
>      ```
>      2,3d1
>      < # Test in mock:
>      < # mock -r fedora-rawhide-x86_64 rebuild
> ./python-outdated-0.2.0-1.fc31.src.rpm --with=tests --enable-network
>      ```
> 


Ugh, sorry about that XD

Could you set the fedora-review flag to + please, otherwise fedpkg request-repo won't work :)

Comment 7 Aniket Pradhan 2020-02-14 13:58:59 UTC
Ach... Forgot to do that.

Done. :D

Comment 8 Gwyn Ciesla 2020-02-14 14:20:59 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-outdated

Comment 9 Fedora Update System 2020-02-14 15:31:29 UTC
FEDORA-2020-f1eff92b2b has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f1eff92b2b

Comment 10 Fedora Update System 2020-02-15 01:47:27 UTC
python-outdated-0.2.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f1eff92b2b

Comment 11 Fedora Update System 2020-02-23 01:22:45 UTC
python-outdated-0.2.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.